Bug 16817 - Apply hold fee on collection not application
Summary: Apply hold fee on collection not application
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-27 16:15 UTC by Sally
Modified: 2020-01-06 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sally 2016-06-27 16:15:21 UTC
Patrons are charged for holds as soon as they request an item.

We would like patrons to be charged once the item is ready for collection instead.

Could this be a system preference?  Could the hold fee be applied to the patron's account once the item has been confirmed as ready for collection?  

Could the generation of the charge be tied to the generation of the Hold Available for Pickup notice?
Comment 1 Katrin Fischer 2019-03-17 21:02:53 UTC
HoldFeeMode can be set to "Charge hold fee 'anytime a hold is collected'".